couchdb-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Apache Wiki <wikidi...@apache.org>
Subject [Couchdb Wiki] Update of "Installing_on_Ubuntu" by Jason Livesay
Date Sat, 04 Sep 2010 04:30:23 GMT
Dear Wiki user,

You have subscribed to a wiki page or wiki category on "Couchdb Wiki" for change notification.

The "Installing_on_Ubuntu" page has been changed by Jason Livesay.
http://wiki.apache.org/couchdb/Installing_on_Ubuntu?action=diff&rev1=49&rev2=50

--------------------------------------------------

  
   * Install CouchDBs first set of dependencies: sudo apt-get build-dep couchdb
   * Install CouchDBs second set of dependencies: sudo apt-get install libmozjs-dev libicu-dev
libcurl4-gnutls-dev libtool
-  '''(*NOTICE*: In Ubuntu 10.04, libmozjs-dev is no longer available.  You should use xulrunner-dev
instead)'''
+  '''(*NOTICE*: In Ubuntu 10.04, libmozjs-dev is no longer available.  You should use xulrunner-dev
instead and you will need to update xulrunner.conf (see below))'''
   * Then download the latest CouchDB source file.  The wget utility is a useful utility for
this. For example: wget http://mirrors.axint.net/apache/couchdb/0.11.0/apache-couchdb-0.11.0.tar.gz
   * Untar (decompress) the source file: tar -zxvf apache-couchdb-*.*.*.tar.gz
   * Change into the expanded directory: cd apache-couchdb-*.*.*
@@ -128, +128 @@

  {{{
  sudo vi /etc/ld.so.conf.d/xulrunner.conf
  }}}
- Then add the following lines to the file (You may need to change the library version to
match whats installed):
+ Then add the following lines to the file ('''You may need to change the library version
to match whats installed'''):
  
  {{{
- /usr/lib/xulrunner-1.9.2.6
+ /usr/lib/xulrunner-1.9.2.8
- /usr/lib/xulrunner-devel-1.9.2.6
+ /usr/lib/xulrunner-devel-1.9.2.8
  }}}
  Once the configuration files is created and saved, you will need to run ldconfig:
  

Mime
View raw message